Bug 1693953 - [ASB]Sandbox APB Service Account using 'admin' not 'edit' scoped to the target namespace
Summary: [ASB]Sandbox APB Service Account using 'admin' not 'edit' scoped to the targe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Broker
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.0
Assignee: Shawn Hurley
QA Contact: Zihan Tang
URL:
Whiteboard:
Depends On: 1685458
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-29 07:20 UTC by Cuiping HUO
Modified: 2019-06-04 10:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:46:42 UTC

Comment 3 Zihan Tang 2019-04-02 06:10:08 UTC
ASB version in downstream is still 1.4.4
$ docker run --entrypoint=asbd ./openshift/ose-ansible-service-broker:v4.0 --version
1.4.4

I saw there was 1.4.5 build on 12 Feb, please help update downstream image.

PR is not contained in lastest image, move to MODIFIED.

Comment 4 Shawn Hurley 2019-04-02 12:46:57 UTC
Please check if the new version of the operator is downstream, that is where the fix is.

Comment 5 Zihan Tang 2019-04-03 06:23:29 UTC
Using operator hub to install, it still using upstream operator, do we have workaround to using downstream operator?

Comment 6 Zihan Tang 2019-04-04 08:02:20 UTC
Bug 1685458 not fixed, this can not verify, move to MODIFIED.

Comment 8 Zihan Tang 2019-04-12 02:41:23 UTC
This is depend on image automation-broker-operator, both downstream and upstream image not ready for this fix. change to Modified.

Comment 10 Zihan Tang 2019-05-07 06:23:51 UTC
verified:
ose-ansible-service-broker-operator:v4.1.0-201905051700

Comment 12 errata-xmlrpc 2019-06-04 10:46:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.